Fixed Cant get Galcticraft problem with forge versions'

Praccho

Member
Mar 23, 2013
1
0
1
121
There was a problem when i installed the version of forge it said to get but it just froze saying done loading so i got the latest version of forge then i put galacticraft 0.1.24 but then it said that i need the older version of forge to get this i have version 1.5.1 i used client